Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jdo.castor
Interface CastorJDOImplMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  CastorJDOImpl

public interface CastorJDOImplMBean
extends org.jboss.system.ServiceMBean

MBean interface.

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`boolean` | `getCommonClassPath()`
`String` | `getConfiguration()`
`String` | `getConfigurationURL()`
`String` | `getJndiName()`
`int` | `getLockTimeout()`
`boolean` | `getLoggingEnabled()`
`boolean` | `isAutoStore()`
`boolean` | `isDatabasePooling()` Return true if the Database instance uses the application server pooling.
`void` | `setAutoStore(boolean autoStore)`
`void` | `setCommonClassPath(boolean commonClassPath)`
`void` | `setConfiguration(String dbConf)`
`void` | `setDatabasePooling(boolean dbPooling)` True if user prefers to use application server database pools.
`void` | `setJndiName(String jndiName)`
`void` | `setLockTimeout(int lockTimeout)`
`void` | `setLoggingEnabled(boolean loggingEnabled)`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### setJndiName

    public void setJndiName(String jndiName)

### getJndiName

    public String getJndiName()

### setConfiguration

    public void setConfiguration(String dbConf)

### getConfiguration

    public String getConfiguration()

### getConfigurationURL

    public String getConfigurationURL()

### setLockTimeout

    public void setLockTimeout(int lockTimeout)

### getLockTimeout

    public int getLockTimeout()

### setLoggingEnabled

    public void setLoggingEnabled(boolean loggingEnabled)

### getLoggingEnabled

    public boolean getLoggingEnabled()

### setCommonClassPath

    public void setCommonClassPath(boolean commonClassPath)

### getCommonClassPath

    public boolean getCommonClassPath()

### setAutoStore

    public void setAutoStore(boolean autoStore)

### isAutoStore

    public boolean isAutoStore()

### setDatabasePooling

    public void setDatabasePooling(boolean dbPooling)

  True if user prefers to use application server database pools. False if user wants a new connection for each call to getDatabase().

### isDatabasePooling

    public boolean isDatabasePooling()

  Return true if the Database instance uses the application server pooling.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.